Subject: bug#70784: Abolish string resizing

From: Drew Adams <[email-masked]>
Date: Thu, 9 May 2024 01:14:21 +0000

>   >   Of course if you ask me, I'd prefer it if lists
>   >   were guaranteed to be proper, immutable, with
>   >   the empty list an object distinct from the symbol
>   >   nil and the false boolean value. Maybe next year.
> 
> Those words explicitly highlight the fact that he was _not_ proposing
> this.

Debatable ("Maybe next year"), but yes, he didn't
explicitly propose those changes.  My reaction was
premature.

>   > Proposing that Elisp lists be only _proper_ (never
>   > dotted) and _immutable_ is a _radical_ departure
>   > from Lisp.
> 
> That is true.  But he does not proposed we make this change, so please
> don't criticize him as if he did.

I didn't criticize him; I criticized such a proposal.
Mea culpa for that.

But I'm glad to see you agree about such a proposal,
should it arise.